API and developers

Create webhook

post/v1/webhooks

Register a webhook endpoint to receive real-time order events.

Example

curl -X POST "https://api.ya.onl/v1/webhooks" \
  -H "X-API-Key: yv_live_v1_…" \
  -H "Content-Type: application/json" \
  -d '{"url":"…","events":"…"}'

Request body

urlstringrequired

URL to receive webhook events

eventsWebhookEventType[]required

Event types to subscribe to

descriptionstring | null

Optional description for this webhook

Responses

201
Successful Response
401
Invalid or missing API key
403
API key lacks the required scope
422
Validation Error
429
Rate limit exceeded
503
Webhooks are not configured for this environment
Need help?